package com.chy.borrow.mapper;

import com.chy.borrow.entity.BorrowApplyZjl0754;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.sql.Timestamp;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author 沈晔浩
 * @since 2022-03-25
 */
@Repository
public interface BorrowApplyZjl0754Mapper extends BaseMapper<BorrowApplyZjl0754> {


    Page<Map> getList(Map map);
    Page<Map> queryByDate(@Param("time") String time,@Param("userId") String userId);
    Integer getCountByCode(@Param("borrowApplyId") String borrowApplyId);
    Map getInfoById(@Param("borrowApplyId") String borrowApplyId);

    //借阅量（zjl0754）
    List<Map> getCountListzj();
    //年月日占比
    List<Map> getApplyTimeCountList(Integer start,Integer num);
    //日期间隔内
    List<Map> getApplyTimeByPeriod(Timestamp start, Timestamp end);
}
